Bug 229517 - The gcore command hangs when application executes it.
The gcore command hangs when application executes it.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
bzcl34nup
:
Depends On: 229481
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-21 13:05 EST by Jan Kratochvil
Modified: 2008-05-06 21:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:13:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gcoretest.tar.gz (444 bytes, application/octet-stream)
2007-02-21 13:05 EST, Jan Kratochvil
no flags Details

  None (edit)
Description Jan Kratochvil 2007-02-21 13:05:14 EST
+++ This bug was initially created as a clone of Bug #229481 +++

Description of Problem:
The gcore command hangs.
The process changes stop state when gcore is used like the sample application
program.
Here is the log.
[root@RHEL5RC gcore-hang]# ./gcoretest
(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)

 2355  2671  2671  2671 ?           -1 Ss       0   0:00  \\_ sshd: root@pts/0
 2671  2674  2674  2674 pts/0     2674 Ss+      0   0:00  |   \\_ -bash
 2355  2818  2818  2818 ?           -1 Ss       0   0:00  \\_ sshd: root@pts/1
 2818  2820  2820  2820 pts/1     2911 Ss       0   0:00  |   \\_ -bash
 2820  2911  2911  2820 pts/1     2911 T+       0   0:00  |       \\_ ./gcoretest
 2911  2912  2912  2820 pts/1     2911 T        0   0:00  |           \\_
./gcoretest
 2912  2913  2912  2820 pts/1     2911 T        0   0:00  |               \\_
/bin/sh ./test.sh 2911
 2913  2914  2912  2820 pts/1     2911 T        0   0:00  |                  
\\_ /bin/sh /usr/bin/gcore 2911
 2914  2918  2912  2820 pts/1     2911 T        0   0:00  |                    
  \\_ gdb -x core.sD2916 -batch

How reproducible:
always

Step to Reproduce:
1.Uncompresse and compile the appended file. 
2.Execute it.

Actual Results:
The gcore command hangs.

Expected Result:
The gcore command doesn't hang and run properly.

Hardware configuration:
I confirmed the problem on IA-64, x86_64.
I think the problem occur on IA-32.

---

I tested this issue and it seems that we could reproduce this issue. 

26490 26493 26493 26493 pts/0    26785 Ss       0   0:00  \\_ bash
26493 26785 26785 26493 pts/0    26785 T+       0   0:00  |   \\_
./gcoretest
26785 26786 26786 26493 pts/0    26785 T        0   0:00  |       \\_
./gcoretest
26786 26787 26786 26493 pts/0    26785 T        0   0:00  |           \\_
/bin/sh ./test.sh 26785
26787 26788 26786 26493 pts/0    26785 T        0   0:00  |              
\\_ /bin/sh /usr/bin/gcore 26785
26788 26792 26786 26493 pts/0    26785 T        0   0:00  |                
  \\_ gdb -x core.P26790 -batch
...
       1 26794 26786 26493 pts/0    26785 Z        0   0:00 [gdb]
<defunct>

At this point, there was "core.P26790" (ascii text) in current
directory.

================
# cat core.P26790
attach 26785
gcore core.26785
detach
quit
================
Comment 1 Jan Kratochvil 2007-02-21 13:05:14 EST
Created attachment 148517 [details]
gcoretest.tar.gz
Comment 2 Jan Kratochvil 2007-02-25 07:27:30 EST
Posted the patch upstream:
http://sources.redhat.com/ml/gdb-patches/2007-02/msg00310.html
Comment 3 Bug Zapper 2008-04-03 15:13:25 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-05-06 21:13:09 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.